Punch out system update

Discussion in 'Wii - Hacking' started by Scha, May 19, 2009.

May 19, 2009

Punch out system update by Scha at 4:56 AM (16,844 Views / 0 Likes) 56 replies

  1. Scha
    OP

    Newcomer Scha Advanced Member

    Joined:
    Feb 2, 2007
    Messages:
    54
    Country:
    Norway
    I just burned punch out, put it in my wii, and it said it wanted to update my system. I am on 3.3, and I didn't want that so I started the game with GeckoOS 1.07b. When I do that I get a ERROR #002.

    Why is this, and how do I fix it?

    My wii PAL and the game is PAL. I have a chip in my wii D2CKey I believe. I have homebrew channel and cIOS 9 or 10 installed. Is there any reason I should not update with the disc? Can this brick my wii? Will I still be able to use the homebrew channel and install wads after updating?

    Thanks in advance
     


  2. icebrg5

    Member icebrg5 GBAtemp Addict

    Joined:
    Apr 1, 2007
    Messages:
    2,326
    Country:
    United States

    Probly missing an IOS file needed to play the game.
     
  3. MattMan

    Newcomer MattMan Advanced Member

    Joined:
    Apr 18, 2009
    Messages:
    55
    Country:
    United States
    It's safe to update as your on PAL and the disc is PAL. You already have cios and HB installed so your good to go there. The only thing I would do befor updating is installing ios60.
     
  4. nIxx

    Member nIxx GBAtemp Maniac

    Joined:
    Sep 30, 2007
    Messages:
    1,459
    Location:
    Germany
    Country:
    Germany
    Hmm you now that there is already GeckoOs 1.9 out !?
     
  5. Scha
    OP

    Newcomer Scha Advanced Member

    Joined:
    Feb 2, 2007
    Messages:
    54
    Country:
    Norway
    Thanks MattMan, I'll search for ios60 and get that installed.

    and I don't update stuff before stuff stops working, so thats why I'm still on 1.07b.. hehe, guess I'll update that as well while I'm at it.
     
  6. meohsix

    Newcomer meohsix Advanced Member

    Joined:
    Aug 27, 2008
    Messages:
    80
    Country:
    United States
    Use brickblocker to remove the update
     
  7. 0M39A

    Member 0M39A GBAtemp Fan

    Joined:
    Apr 24, 2009
    Messages:
    374
    Country:
    Australia
    update gecko os. should fix your #002 error. did for me anyway.
     
  8. Shinigami Kiba

    Member Shinigami Kiba GBAtemp Advanced Fan

    Joined:
    Oct 28, 2007
    Messages:
    606
    Country:
    Macedonia, The Former Yugoslav Republic of
    install bootmii to boot2 if you can, after that you're free to try anything as long as you have a NAND backup.

    But your problem is just a 002 error, you either need to install IOS53 and 55 manually or have the latest Gecko do it for you, the game will probably stil lwant to update to 4.0 but you should IMO update manually, I just don't trust these automatic updates cause they fix security holes and stuff.

    Trust me, i didn't want to go 4.0, but after following a guide here and of course instlaling bootmii first I broke down and did it and I love it even if the whole playing games from an SD card is fake and copies the games to the NAND it's still good(though damaging to your flash memory in the long run), and faster than installing WADs.
     
  9. WiiPower

    Member WiiPower GBAtemp Guru

    Joined:
    Oct 17, 2008
    Messages:
    8,165
    Country:
    Germany
    Arrgh, some people shouln't post here...

    So, now i finally have an idea what causes the 002 error:
    It's not a missing IOS, or running with the wrong IOS(as the Gecko OS creators tell). There's an address in memory where the disc channel writes to, which IOS is loaded. Games with 002 protection, check if the version(IOS slot) written there matches the IOS requested by the game(don't know if hardcoded or the value from the tmd is used) and checks if the revision of the IOS is >= the one the game knows about. It might be a check if the region is correct too.

    Methods to get rid of the 002 error(just 1 method is enough):
    - Write the correct information into the memory, SoftChip r95(and up) with Fake IOS version enabled and NeoGamma R2 do it
    - start the game with the correct IOS from the disc channel
    - Apply a patch to the main.dol just before launching, that's what NeoGamma R1, SoftChip r77(maybe even older versions too) and up with remove 002 protection enabled and my Gecko OS mod(http://wiibrew.org/wiki/GeckoOS) do
    - Apply a patch to the main.dol before burning. Open the .iso with trucha signer or WiiScrubber and integrate a main.dol which is patched with the Generic Wii Patcher.
    - start the game with Gecko OS 1.8 and up
    - Use a cIOS rev8 or later(Gamma/NeoGamma and SoftChip only)
     
  10. stev418

    Member stev418 GBAtemp Fan

    Joined:
    Sep 25, 2007
    Messages:
    492
    Country:
    Australia
    yes, i think it may be as well, i tend to get a #002 when converting some newer vc/wiiware from ntsc>pal
     
  11. FenrirWolf

    Member FenrirWolf GBAtemp Psycho!

    Joined:
    Nov 19, 2008
    Messages:
    4,343
    Location:
    Beaverton, OR
    Country:
    United States
    I thought that cIOS Rev9 and above (or was it Rev8?) took care of the 002 error without the need of a specialized loader.
     
  12. manias

    Member manias GBAtemp Maniac

    Joined:
    Aug 7, 2007
    Messages:
    1,258
    Country:
    Netherlands
    It checks for the version of said IOS or if it's present at all, THUS it DOES check for a missing IOS (version)
     
  13. WiiPower

    Member WiiPower GBAtemp Guru

    Joined:
    Oct 17, 2008
    Messages:
    8,165
    Country:
    Germany
    It only checks what written at that certain memory address. What IOS you are running or if it's even installed should not matter.

    Of cource the cIOS rev8 and up remove the 002 error too.
     
  14. Scha
    OP

    Newcomer Scha Advanced Member

    Joined:
    Feb 2, 2007
    Messages:
    54
    Country:
    Norway
    Thanks for all the replies guys.

    I ended up just installing the update on the disc and play it from the disc channel. I made sure to have cIOS rev 10 first tho. It worked great for me, but I'm obv not 100% sure I have not closed some security holes.
     
  15. KTroopA

    Member KTroopA GBAtemp Regular

    Joined:
    Mar 15, 2007
    Messages:
    240
    Country:
    United Kingdom

    am curious how is this done exactly? are you refering to preolader?

    i have the game working from both gecko and backup launcher. but is it possible to work off the disc channel if you have the right IOS installed. can anyone confirm this is IOS60?
     
  16. WiiPower

    Member WiiPower GBAtemp Guru

    Joined:
    Oct 17, 2008
    Messages:
    8,165
    Country:
    Germany
    You can't start a game from the disc channel at all if you are missing the IOS required for it. IOS60 is the IOS used by the system menu, i doubt any game requires it.
     
  17. KTroopA

    Member KTroopA GBAtemp Regular

    Joined:
    Mar 15, 2007
    Messages:
    240
    Country:
    United Kingdom

    hehe sorry m8 i quoted the wrong part of ur previous reply. i wanted to know what you meant by this

    -- start the game with the correct IOS from the disc channel

    how do you do this plz?
     
  18. billyrocks

    Newcomer billyrocks Member

    Joined:
    May 7, 2009
    Messages:
    10
    Country:
    United States
    i have the drivekey install and some burn games wont work at all unless you play it with back uploader i dont know why but yeah your game should work if you load it with the backup loader and where you just using the geko for USB codes?
     
  19. mikeyt1998

    Member mikeyt1998 YouTube Glitcher

    Joined:
    Aug 11, 2007
    Messages:
    1,359
    Location:
    Dalton-in-furness, north west
    Country:
    United Kingdom
    for god sake, why install IOS60 seperately?? all you need to do if you have cIOS_rev9 and HBC is update through nintendo and run IOS downgrader.

    i've said it 2000 times now and i dont care if you tell me updating through nintendo is dangerous, its the safest way, because you dont need to worry about missing out the installation of IOS60 or whatever and you still get all your homebrew normally.

    plus if you're only a softmodder you dont even need to run IOS downgrader, just install the latest cIOSCORP, that downgrades your IOS' and lets you play all the games you want through the disc channel. simple.

    dont be n00bs.

    but in consideration to your question, why not update and then find out if it works?
     
  20. squablo

    Member squablo GBAtemp Regular

    Joined:
    May 3, 2007
    Messages:
    143
    Country:
    United States
    just bought the game, ntsc us wii and ntsc us game. Its asking for a system update. I dumped it to my usb drive, but I get lock ups every once in a while using that.

    I want to play my disc version, but its asking for an update. Madworld did this for me too, and I just did the update. Everything was fine with madworld, but I dont know about this one. Has anyone done the update yet?

    I just dont want to mess up my wii and would like some confirmation
     

Share This Page